# Uses of Class
java.nio.channels.spi.SelectorProvider

Packages that use SelectorProvider
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of SelectorProvider in com.sun.nio.sctp

Constructors in com.sun.nio.sctp with parameters of type SelectorProvider
Modifier
Constructor
Description
`protected`
`SctpChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`SctpMultiChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`SctpServerChannel​(SelectorProvider provider)`
Initializes a new instance of this class.

## Uses of SelectorProvider in java.nio.channels

Methods in java.nio.channels that return SelectorProvider
Modifier and Type
Method
Description
`abstract SelectorProvider`
SelectableChannel.`provider()`
Returns the provider that created this channel.
`abstract SelectorProvider`
Selector.`provider()`
Returns the provider that created this channel.
Constructors in java.nio.channels with parameters of type SelectorProvider
Modifier
Constructor
Description
`protected`
`DatagramChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`ServerSocketChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`SinkChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`SocketChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`SourceChannel​(SelectorProvider provider)`
Constructs a new instance of this class.

## Uses of SelectorProvider in java.nio.channels.spi

Methods in java.nio.channels.spi that return SelectorProvider
Modifier and Type
Method
Description
`SelectorProvider`
AbstractSelectableChannel.`provider()`
Returns the provider that created this channel.
`SelectorProvider`
AbstractSelector.`provider()`
Returns the provider that created this channel.
`static SelectorProvider`
SelectorProvider.`provider()`
Returns the system-wide default selector provider for this invocation of the Java virtual machine.
Constructors in java.nio.channels.spi with parameters of type SelectorProvider
Modifier
Constructor
Description
`protected`
`AbstractSelectableChannel​(SelectorProvider provider)`
Initializes a new instance of this class.
`protected`
`AbstractSelector​(SelectorProvider provider)`
Initializes a new instance of this class.